Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.core.io
Class JpaHibernateConfigProcessor

    java.lang.Object
      org.springframework.flex.core.io.AbstractAmfConversionServiceConfigProcessor
          org.springframework.flex.core.io.HibernateConfigProcessor
              org.springframework.flex.core.io.JpaHibernateConfigProcessor

All Implemented Interfaces:
  BeanFactoryAware, InitializingBean, MessageBrokerConfigProcessor

    public class JpaHibernateConfigProcessor

extends HibernateConfigProcessor

Specialized subclass of `HibernateConfigProcessor` that can be used with a Hibernate-provided JPA `EntityManagerFactory` instead of the native Hibernate `SessionFactory`.

Author:
  Jeremy Grelle
See Also:
  `HibernateConfigProcessor`

Field Summary

Fields inherited from class org.springframework.flex.core.io.HibernateConfigProcessor
`hibernateConfigured`

Fields inherited from class org.springframework.flex.core.io.AbstractAmfConversionServiceConfigProcessor
`log`

Constructor Summary
`JpaHibernateConfigProcessor()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `setEntityManagerFactory(javax.persistence.EntityManagerFactory entityManagerFactory)` Sets the Hibernate-provided `EntityManagerFactory` to be used for reading type metadata.

Methods inherited from class org.springframework.flex.core.io.HibernateConfigProcessor
`configureConverters, extractHibernateMetadata, findTypesToRegister, getBeanFactory, setBeanFactory, setSessionFactory`

Methods inherited from class org.springframework.flex.core.io.AbstractAmfConversionServiceConfigProcessor
`processAfterStartup, processBeforeStartup, registerAmfProxies, registerPropertyProxy, setConversionService, setUseDirectFieldAccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpaHibernateConfigProcessor

    public JpaHibernateConfigProcessor()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `HibernateConfigProcessor`
  Throws:
    `Exception`

### setEntityManagerFactory

    public void setEntityManagerFactory(javax.persistence.EntityManagerFactory entityManagerFactory)

  Sets the Hibernate-provided `EntityManagerFactory` to be used for reading type metadata. If this property is not explicitly set, all available `EntityManagerFactory` instances will be retrieved from the containing `BeanFactory` and have their type metadata extracted for use in `HibernateConfigProcessor.findTypesToRegister()`

  Parameters:
    `entityManagerFactory` - the entity manager factory from which to read metadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.